<?php
check_request();

//load the template file
$tpl->loadTemplatefile('complete.html');

//if there is a post request
if (count($_POST))
{
	$stop = false;
	
    //if user agreed the conditions
    if (isset($_POST['agree']) && 'true' == $_POST['agree'])
    {
        //filter the email address
        $email = filter_input(INPUT_POST, 'email', FILTER_VALIDATE_EMAIL);
        
        //if the email is not valid
        if(empty($email))
        {
            //set error for email
           $tpl->setVariable('ERROR', 'Invalid email');
           $stop = true;
        }//if(empty($email))
        
        //if no error found
        if(!$stop)
        {
            //save the user details
            Utils::save_user_details(
				$_SESSION['user_name'], 
				$email, 
				$_SESSION['answers_to_save'],
				Utils::get_user_score($_SESSION['answers']), 
				$_SESSION['user_fb_id'], 
				$_SESSION['user_location']
			);
        }//if(!$stop)
    }//if (isset($_POST['agree']) && 'true' == $_POST['agree'])
    
    //if user accepts to post diploma to his gallery, and there was no error
    if (isset($_POST['post_to_feed']) && 'true' == $_POST['post_to_feed'] && !$stop)
    {
        //get user score
        $score = Utils::get_user_score($_SESSION['answers']);
        //create and upload the diploma
        Utils::render_user_pic($score, $_SESSION['user_name']);    
        //redirect user to results page
        redirect('results');
    }//if (isset($_POST['post_to_feed']) && 'true' == $_POST['post_to_feed'] && !$stop)    

    //redirect user to company page on facebook
    header('Location: http://www.facebook.com/your-page-url-here');// ----- TO FILL IN -----
    die;
}//if (count($_POST))

//get user score and score label
$score = Utils::get_user_score($_SESSION['answers']);

//set variables in html template
$tpl->setVariable('DIPLOMA_LABEL', 'I want to see the result and to have the diploma posted in my photo gallery.');
$tpl->setVariable('EMAIL', $_SESSION['user_email']);

